> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/references/sdk-event-handlers/set-pre-invocation-handler.md).

# Set Pre-Invocation Handler

API reference for Luciq's pre-invocation handler. Register a callback that fires before the Luciq UI is shown, allowing you to set additional context.

Use this handler to run any code prior to Luciq being invoked.

This block is executed on the UI thread and could be used for performing any UI changes before the SDK's UI is shown.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
BugReporting.willInvokeHandler = {
    someObject.setSomeState()
}
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
LCQBugReporting.willInvokeHandler = ^{
    [someObject setSomeState];
};
```

{% endtab %}

{% tab title="And - Java" %}

```java
BugReporting.setOnInvokeCallback(new OnInvokeCallback() {
            @Override
            public void onInvoke() {
               //do something
            }
});
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
BugReporting.setOnInvokeCallback {
                     //do something
        }
```

{% endtab %}

{% tab title="RN" %}

```javascript
BugReporting.onInvokeHandler(function () {
    // Perform any UI changes before the SDK's UI is shown.
});
```

{% endtab %}

{% tab title="Flutter" %}

```dart
BugReporting.setOnInvokeCallback(Function function);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.luciq.ai/references/sdk-event-handlers/set-pre-invocation-handler.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
